Package weka.gui.beans

# Class DataSetEvent

java.lang.Object
java.util.EventObject
weka.gui.beans.DataSetEvent

All Implemented Interfaces:
  `Serializable`

public class DataSetEvent extends EventObject
Event encapsulating a data set

Version:
  $Revision: 1.4 $
Author:
  Mark Hall
See Also:
  - `EventObject`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DataSetEvent(Object source, Instances dataSet)`

## Method Summary

Modifier and Type
Method
Description
`Instances`
`getDataSet()`
Return the instances of the data set
`boolean`
`isStructureOnly()`
Returns true if the encapsulated instances contain just header information

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataSetEvent

public DataSetEvent(Object source, Instances dataSet)

## Method Details

### getDataSet

public Instances getDataSet()
Return the instances of the data set

Returns:
  an `Instances` value

### isStructureOnly

public boolean isStructureOnly()
Returns true if the encapsulated instances contain just header information

Returns:
  true if only header information is available in this DataSetEvent